<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>tacan.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>test-lamp</object-name>
    <object-name>visses</object-name>
    <object-name>vol-knob</object-name>
    <object-name>test-button</object-name>
    <object-name>tenth-knob</object-name>
    <object-name>xy-knob</object-name>
    <object-name>unit-knob</object-name>
    <object-name>select-knob</object-name>
    <object-name>drum-1</object-name>
    <object-name>drum-2</object-name>
    <object-name>drum-3</object-name>
    <object-name>x-sign</object-name>
    <object-name>y-sign</object-name>
    <object-name>clic-tenth-L</object-name>
    <object-name>clic-tenth-R</object-name>
    <object-name>clic-xy-L</object-name>
    <object-name>clic-xy-R</object-name>
    <object-name>clic-unit-L</object-name>
    <object-name>clic-unit-R</object-name>
    <object-name>clic-select-L</object-name>
    <object-name>clic-select-R</object-name>
    <object-name>clic-vol-L</object-name>
    <object-name>clic-vol-R</object-name>

    <object-name>vitre</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>test-lamp</object-name>
    <object-name>visses</object-name>
    <object-name>vol-knob</object-name>
    <object-name>test-button</object-name>
    <object-name>tenth-knob</object-name>
    <object-name>xy-knob</object-name>
    <object-name>unit-knob</object-name>
    <object-name>select-knob</object-name>
    <object-name>drum-1</object-name>
    <object-name>drum-2</object-name>
    <object-name>drum-3</object-name>
    <object-name>x-sign</object-name>
    <object-name>y-sign</object-name>
    <object-name>clic-tenth-L</object-name>
    <object-name>clic-tenth-R</object-name>
    <object-name>clic-xy-L</object-name>
    <object-name>clic-xy-R</object-name>
    <object-name>clic-unit-L</object-name>
    <object-name>clic-unit-R</object-name>
    <object-name>clic-select-L</object-name>
    <object-name>clic-select-R</object-name>
    <object-name>clic-vol-L</object-name>
    <object-name>clic-vol-R</object-name>
    <object-name>vitre</object-name>
  </animation>

  <!-- working for Compositor -->
  <effect>
    <inherits-from>../../../../Effects/Glass/glass</inherits-from>
    <object-name>vitre</object-name>
  </effect>

  <animation>
    <type>material</type>
    <object-name>drum-1</object-name>
    <object-name>drum-2</object-name>
    <object-name>drum-3</object-name>
    <object-name>x-sign</object-name>
    <object-name>y-sign</object-name>
    <object-name>vol-knob</object-name>
    <object-name>test-button</object-name>
    <object-name>tenth-knob</object-name>
    <object-name>xy-knob</object-name>
    <object-name>unit-knob</object-name>
    <object-name>select-knob</object-name>
    <condition>
      <property>/controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>drum-1</object-name>
    <property>instrumentation/tacan/frequencies/selected-channel[1]</property>
    <factor>0.1</factor>
    <offset>-1</offset>
    <axis>
      <x>  0 </x>
      <y> -1 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>drum-2</object-name>
    <property>instrumentation/tacan/frequencies/selected-channel[2]</property>
    <factor>0.1</factor>
    <offset>-1</offset>
    <axis>
      <x>  0 </x>
      <y> -1 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>drum-3</object-name>
    <property>instrumentation/tacan/frequencies/selected-channel[3]</property>
    <factor>0.1</factor>
    <offset>-1</offset>
    <axis>
      <x>  0 </x>
      <y> -1 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>select</type>
    <object-name>y-sign</object-name>
    <condition>
      <equals>
        <property>instrumentation/tacan/frequencies/selected-channel[4]</property>
        <value>Y</value>
      </equals>
    </condition>
  </animation>

  <animation>
    <type>select</type>
    <object-name>x-sign</object-name>
    <condition>
      <equals>
        <property>instrumentation/tacan/frequencies/selected-channel[4]</property>
        <value>X</value>
      </equals>
    </condition>
  </animation>

  <!-- Comming soon
  <animation>
    <name>All-Tenth</name>
    <object-name>tenth-knob</object-name>
    <object-name>clic-tenth-L</object-name>
    <object-name>clic-tenth-R</object-name>
  </animation>

  <animation>
    <rotate>
    <object-name>All-Tenth</object-name>
    <property>?</property>
    <axis>
      <x> 0 </x>
      <y> 0 </y>
      <z> 1 </z>
    </axis>
  </animation>

  <animation>
    <name>All-Xy</name>
    <object-name>xy-knob</object-name>
    <object-name>clic-xy-L</object-name>
    <object-name>clic-xy-R</object-name>
  </animation>

  <animation>
    <rotate>
    <object-name>All-Xy</object-name>
    <property>?</property>
    <axis>
      <x> 0 </x>
      <y> 0 </y>
      <z> 1 </z>
    </axis>
  </animation>

  <animation>
    <name>All-Unit</name>
    <object-name>unit-knob</object-name>
    <object-name>clic-unit-L</object-name>
    <object-name>clic-unit-R</object-name>
  </animation>

  <animation>
    <rotate>
    <object-name>All-Unit</object-name>
    <property>?</property>
    <axis>
      <x> 0 </x>
      <y> 0 </y>
      <z> 1 </z>
    </axis>
  </animation>

  <animation>
    <name>All-Select</name>
    <object-name>unit-select</object-name>
    <object-name>clic-select-L</object-name>
    <object-name>clic-select-R</object-name>
  </animation>

  <animation>
    <rotate>
    <object-name>All-Select</object-name>
    <property>?</property>
    <axis>
      <x> 0 </x>
      <y> 0 </y>
      <z> 1 </z>
    </axis>
  </animation>

  <animation>
    <name>All-Vol</name>
    <object-name>vol-knob</object-name>
    <object-name>clic-vol-L</object-name>
    <object-name>clic-vol-R</object-name>
  </animation>

  <animation>
    <rotate>
    <object-name>All-Vol</object-name>
    <property>?</property>
    <axis>
      <x> 0 </x>
      <y> 0 </y>
      <z> 1 </z>
    </axis>
  </animation>
  -->

  <!-- Hot spot -->
  <animation>
    <type>pick</type>
    <object-name>tenth-knob</object-name>
    <visible>true</visible>
    <action>
      <button>3</button>
      <repeatable>true</repeatable>
      <!--
      comming soon
      -->
    </action>
    <action>
      <button>4</button>
      <repeatable>true</repeatable>
      <!--
      comming soon
      -->
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>xy-knob</object-name>
    <visible>true</visible>
    <action>
      <button>3</button>
      <repeatable>true</repeatable>
      <!--
      comming soon
      -->
    </action>
    <action>
      <button>4</button>
      <repeatable>true</repeatable>
      <!--
      comming soon
      -->
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>unit-knob</object-name>
    <visible>true</visible>
    <action>
      <button>3</button>
      <repeatable>true</repeatable>
      <!--
      comming soon
      -->
    </action>
    <action>
      <button>4</button>
      <repeatable>true</repeatable>
      <!--
      comming soon
      -->
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>select-knob</object-name>
    <visible>true</visible>
    <action>
      <button>3</button>
      <repeatable>true</repeatable>
      <!--
      comming soon
      -->
    </action>
    <action>
      <button>4</button>
      <repeatable>true</repeatable>
      <!--
      comming soon
      -->
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>vol-knob</object-name>
    <visible>true</visible>
    <action>
      <button>3</button>
      <repeatable>true</repeatable>
      <!--
      comming soon
      -->
    </action>
    <action>
      <button>4</button>
      <repeatable>true</repeatable>
      <!--
      comming soon
      -->
    </action>
  </animation>

</PropertyList>
